#
# spec file for package terminator
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           terminator
Version:        0.97
Release:        22.1
Summary:        Store and run multiple GNOME terminals in one window
License:        GPL-2.0
Group:          System/X11/Terminals
Url:            http://www.tenshu.net/terminator
Source0:        terminator-%{version}.tar.bz2
Patch0:         terminator-desktop.patch
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  gettext
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  python-devel
BuildRequires:  update-desktop-files
Requires:       python-gnome
%if 0%{?suse_version} > 1130
Requires:       python-vte
Requires:       vte
%endif
Recommends:     %{name}-lang
Recommends:     python-keybinder
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%else
BuildArch:      noarch
%endif

%description
Multiple GNOME terminals in one window.  This is a project to produce
an efficient way of filling a large area of screen space with
terminals. This is done by splitting the window into a resizeable
grid of terminals. As such, you can  produce a very flexible
arrangements of terminals for different tasks.

%lang_package
%prep
%setup -q
%patch0
#translation-update-upstream

%build
python setup.py build
#remove unsupported translations
for trans in ms jv af ur ka oc si fy tyv; do
    rm -R ./build/mo/${trans}
done

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}
rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache
rm -f %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" --dir=%{buildroot}%{_datadir}/applications data/%{name}.desktop
%suse_update_desktop_file %{name}
%fdupes %{buildroot}
%find_lang %{name}

%post
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor >/dev/null 2>&1 || :

%postun
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor >/dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}_config.5*
%{_bindir}/terminator
%{_bindir}/remotinator

%{_datadir}/icons/hicolor/*/*/termina*
%{_datadir}/pixmaps/terminator.png
%{python_sitelib}/*

%files lang -f %{name}.lang
%defattr(-,root,root)
%dir %{_datadir}/locale/jv
%dir %{_datadir}/locale/la
%dir %{_datadir}/locale/tyv
%dir %{_datadir}/locale/jv/LC_MESSAGES
%dir %{_datadir}/locale/la/LC_MESSAGES
%dir %{_datadir}/locale/tyv/LC_MESSAGES

%changelog
* Sat Nov  8 2014 Led <ledest@gmail.com>
- fix bashisms in post/postun scripts
* Tue Sep 24 2013 rbrownccb@opensuse.org
- update to 0.97
- bug fixes incl. bnc#842059
- for details see package changelog
* Thu Mar 15 2012 saschpe@suse.de
- Some more spec cleanup
* Thu Jan 26 2012 lijewski.stefan@zabka.pl
- spec cleanup
- split languge package
- add python-keybinder recomends
* Fri Nov 18 2011 lijewski.stefan@gmail.com
- fix build on 12.1
* Thu Nov 17 2011 lijewski.stefan@gmail.com
- update to 0.96 - for details see package changelog
* Tue Apr  5 2011 lijewski.stefan@gmail.com
- fix openSUSE:Factory build missing lang files
* Mon Mar 14 2011 Stefan Lijewski <lijewski.stefan@gmail.com> 0.95
- Fix dependencies bug (bug id 679206)
* Fri Mar 11 2011 Stefan Lijewski <lijewski.stefan@gmail.com> 0.95
- Fix build bug about directories in openSuSE 11.4
* Tue Sep 21 2010 Stefan Lijewski <lijewski.stefan@gmail.com> 0.95
-initial changelog for openSuse
* Wed Mar 31 2010 Chris Jones <cmsj@tenshu.net> 0.91-1
- Update to fix some stupid release bugs in 0.90.
    Note that this specfile is untested.
* Tue Jan  5 2010 Chris Jones <cmsj@tenshu.net> 0.90-1
- Attempt to update for 0.90 pre-release.
    Note that this specfile is untested.
* Thu Jan 15 2009 Chris Jones <cmsj@tenshu.net> 0.12-1
- Remove patch application since this isn't a fedora build.
    Note that this specfile is untested.
* Mon Dec  8 2008 Ian Weller <ianweller@gmail.com> 0.11-3
- Patch version in terminatorlib/verison.py to the one we think it is
- Fix License tag
- Update post and postun scripts with one line
* Mon Dec  1 2008 Ian Weller <ianweller@gmail.com> 0.11-2
- Add BuildRequires: gettext
- Fix installation of .desktop file
- terminator-0.11-desktop.patch:
    Remove useless things
    Move to same category as gnome-terminal
- Uses spaces instead of tabs in the specfile because I can't stand tabs
* Mon Dec  1 2008 Ian Weller <ianweller@gmail.com> 0.11-1
- Update upstream
- Fix description to something useful
- Fix group
- Fix some specfile oddities
- Complete/restandardize file list
- Get rid of she-bangs in python_sitelib
  * Sat Sep 13 2008 - Max Spevack <mspevack AT redhat DOT com> 0.10
- New upstream release.
- Tried to make sure the spec file matches guidelines on Fedora wiki.
  * Fri Jul 08 2008 - chantra AatT rpm-based DdOoTt org 0.9.fc9.rb
- New upstream release
  * Sat May 17 2008 - chantra AatT rpm-based DdOoTt org 0.8.1.fc9.rb
- Initial release for Fedora 9.
